#!/bin/bash
# XF86Config_Device.sh 
# Fix the Video Device Section:
#     XF86Config_Monitor.sh  /etc/X11/XF86Config vesa

XCONFIG=$1
DRIVER=$2

DRIVER=${DRIVER:=vesa}

sed -e "/Section \"Device\"/,/EndSection/{ 
/^[ \t]*###.*/d
/^[ \t]*#Option.*/d
/^[ \t]*Driver/ {
    h
    s/^\([ \t]*\)\(Driver.*\)/\1#saved  \2/p
    x
    s/^\([ \t]*\)\(Driver.*\)/\1Driver      \"$DRIVER\"/
  }
}" -i $XCONFIG

if [ "$DRIVER" = 'nvidia' ]; then
   sed -e '/Section "Module"/,/EndSection/{
          s/^\([ \t]*\)\(Load[ \t]*"dri"\).*/\1#nv_saved  \2/
          s/^\([ \t]*\)\(Load[ \t]*"GLcore"\).*/\1#nv_saved  \2/
       }' -i $XCONFIG
fi

if [ "$DRIVER" = 'nv' ]; then
   sed -e '/Section "Module"/,/EndSection/{
          s/^\([ \t]*\)\(#nv_saved[ \t]*\)\(Load.*\).*/\1\3/
       }' -i $XCONFIG
fi
